Bug 483704 - set "///" in To header when clicking mailto: URL link
set "///" in To header when clicking mailto: URL link
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 23:34 EST by lihuang
Modified: 2015-03-03 17:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of step2 (189.46 KB, image/png)
2009-02-02 23:35 EST, lihuang
no flags Details
screen shot of step3 (118.85 KB, image/png)
2009-02-02 23:36 EST, lihuang
no flags Details

  None (edit)
Description lihuang 2009-02-02 23:34:01 EST
Description of problem:
when clicking mailto:xxx URL link, "///" is set in To header before the email address.

Version-Release number of selected component (if applicable):
pidgin-2.5.4-1.fc10.i386

and pidgin-2.5.4-1.fc11.i386

How reproducible:
Everytime

Steps to Reproduce:
1.Click Help->About.
2.Click any mailto: URL link in the about pidgin window.
3.or in conversation window. send a message with the following content: mailto:aa@bb.cc
  
Actual results:
see the screen shot.

Expected results:


Additional info:
1.change the mail reader to thunderbird,"///" is still set.
2.when clicking a mailto: link on website. "///" is not set.
Comment 1 lihuang 2009-02-02 23:35:15 EST
Created attachment 330707 [details]
screen shot of step2
Comment 2 lihuang 2009-02-02 23:36:04 EST
Created attachment 330708 [details]
screen shot of step3
Comment 3 Stu Tomlinson 2009-02-03 08:45:14 EST
What does running this at a terminal do? :
xdg-open mailto:user@domain.com
Comment 4 lihuang 2009-02-03 09:36:09 EST
(In reply to comment #3)
> What does running this at a terminal do? :
> xdg-open mailto:user@domain.com

evolution compose window launches.To header is :///user@domain.com


PS:
[huanglijun.3@localhost ~]$ sh -x xdg-open mailto:user@domain.com
+ check_common_commands mailto:user@domain.com
+ '[' 1 -gt 0 ']'
+ parm=mailto:user@domain.com
+ shift
+ case "$parm" in
+ '[' 0 -gt 0 ']'
+ '[' -z '' ']'
+ unset XDG_UTILS_DEBUG_LEVEL
+ '[' 0 -lt 1 ']'
+ xdg_redirect_output=' > /dev/null 2> /dev/null'
+ '[' xmailto:user@domain.com '!=' x ']'
+ url=
+ '[' 1 -gt 0 ']'
+ parm=mailto:user@domain.com
+ shift
+ case "$parm" in
+ '[' -n '' ']'
+ url=mailto:user@domain.com
+ '[' 0 -gt 0 ']'
+ '[' -z mailto:user@domain.com ']'
+ detectDE
+ '[' x = xtrue ']'
+ '[' xthis-is-deprecated '!=' x ']'
+ DE=gnome
+ '[' xgnome = x ']'
+ case "$DE" in
+ open_gnome mailto:user@domain.com
+ gnome-open mailto:user@domain.com
+ '[' 0 -eq 0 ']'
+ exit_success
+ '[' 0 -gt 0 ']'
+ exit 0
Comment 5 Stu Tomlinson 2009-02-03 10:32:42 EST
This is likely either a gnome-open bug or your settings are misconfigured. What does this report?:
gconftool-2 -g /desktop/gnome/url-handlers/mailto/command
Comment 6 lihuang 2009-02-03 14:06:16 EST
(In reply to comment #5)
> This is likely either a gnome-open bug or your settings are misconfigured. What
> does this report?:
> gconftool-2 -g /desktop/gnome/url-handlers/mailto/command

hi.Tomlinson:

[huanglijun.3@localhost ~]$ gconftool-2 -g /desktop/gnome/url-handlers/mailto/command
evolution --component=mail %s
[huanglijun.3@localhost ~]$ 

and evolution --component=mail mailto:user@domain.com won't set "///" to TO header. 

if i delete the setting of /desktop/gnome/url-handlers/mailto/command. and run #xdg-open mailto:user@domain.com. following error is given:

(gnome-open:15236): GLib-CRITICAL **: g_path_get_basename: assertion `file_name != NULL' failed
Error showing url: Failed to execute child process "mailto:///user@domain.com" (No such file or directory)

from the last line .it seems gnome-open changed the mailto link. right ?
shall I change the component to libgnome.?

(BTW. why clicking mailto link in website is OK ? )

Thanks
Comment 7 lihuang 2009-02-05 18:13:46 EST
reset component .
libgnome-2.24.1-7.fc10.i386
Comment 8 Bug Zapper 2009-11-18 05:58:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:47:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.